/**
 * XRoleClassPayeePolicyRelationship.java
 *
 * File generated from the medication::XRoleClassPayeePolicyRelationship uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XRoleClassPayeePolicyRelationship.
 *
 * 
 */

@XmlType(name = "XRoleClassPayeePolicyRelationship")
@XmlEnum
@XmlRootElement(name = "XRoleClassPayeePolicyRelationship")
public enum XRoleClassPayeePolicyRelationship {
	@XmlEnumValue("COVPTY")
	COVPTY("COVPTY"),
	@XmlEnumValue("GUAR")
	GUAR("GUAR"),
	@XmlEnumValue("POLHOLD")
	POLHOLD("POLHOLD"),
	@XmlEnumValue("PROV")
	PROV("PROV"),
	@XmlEnumValue("PRS")
	PRS("PRS");
	
	private final String value;

    XRoleClassPayeePolicyRelationship(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XRoleClassPayeePolicyRelationship fromValue(String v) {
        for (XRoleClassPayeePolicyRelationship c: XRoleClassPayeePolicyRelationship.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}